SDL_GetGamepadMappingForID(3)

NAME
SDL_GetGamepadMappingForID - Get the mapping of a gamepad.

SYNOPSIS
#include <SDL3/SDL_gamepad.h>

char * SDL_GetGamepadMappingForID(SDL_JoystickID instance_id);

DESCRIPTION
This can be called before any gamepads are opened.

FUNCTION PARAMETERS

instance_id
    the joystick instance ID.

RETURN VALUE
when it is no longer needed.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetGamepads(3), SDL_GetGamepadMapping(3)